### Virtual Method

# Meta ExternalConstraint constrain

#### Declaration [src]

    gboolean
    constrain (
      MetaExternalConstraint* constraint,
      MetaWindow* window,
      MetaExternalConstraintInfo* info
    )

#### Description [src]

Applies external constraints to a window’s position and size.

#### Parameters

`window`

  Type: `MetaWindow`

  The `MetaWindow` being constrained.

  The data is owned by the caller of the method.

`info`

  Type: `MetaExternalConstraintInfo`

  A `MetaExternalConstraintInfo` with constraint parameters.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the constraint has fully constrained the window, `FALSE` otherwise.